---
lang: en
title: 'API docs: context.nonvoid'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.nonvoid.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [NonVoid](./context.nonvoid.md)

## NonVoid type

Any type except `void`<!-- -->. We use this type to enforce that interceptor functions always return a value (including undefined or null).

**Signature:**

```typescript
export type NonVoid = string | number | boolean | null | undefined | object;
```

